This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 1083326 - (CVE-2014-2707) CVE-2014-2707 cups-filters: remote command injection in cups-browsed
CVE-2014-2707 cups-filters: remote command injection in cups-browsed
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20140401,repo...
: Reopened, Security
Depends On: 1083327
Blocks: 1083331
  Show dependency treegraph
 
Reported: 2014-04-01 20:58 EDT by Murray McAllister
Modified: 2015-07-31 03:17 EDT (History)
4 users (show)

See Also:
Fixed In Version: cups-filters 1.0.51
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-25 18:41:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Murray McAllister 2014-04-01 20:58:46 EDT
cups-browsed is daemon which browses the Bonjour broadcasts of shared, remote CUPS printers and makes the printers available locally. Sebastian Krahmer discovered it was possible to use malicious broadcast packets to execute arbitrary commands.

Original report: http://seclists.org/oss-sec/2014/q2/3
Comment 1 Murray McAllister 2014-04-01 20:59:47 EDT
Created cups-filters tracking bugs for this issue:

Affects: fedora-all [bug 1083327]
Comment 2 Murray McAllister 2014-04-01 21:07:27 EDT
cups-browsed is provided via the cups-filters package. The cups-filters package is not available in Red Hat Enterprise Linux 5 and 6.
Comment 4 Tim Waugh 2014-04-02 06:09:59 EDT
I just examined each instance of '%s' in utils/cups-browsed.c and couldn't see this vulnerability anywhere in the source code.

I think the command injection is part of a feature that was added to cups-browsed in a version of cups-filters later than the version in Red Hat Enterprise Linux 7.
Comment 5 Tomas Hoger 2014-04-02 07:02:35 EDT
Fixed upstream in cups-filters 1.0.51:

http://bzr.linuxfoundation.org/loggerhead/openprinting/cups-filters/revision/7188
http://bzr.linuxfoundation.org/loggerhead/openprinting/cups-filters/revision/7189

Support for automatic setup of print queues was introduced in version 1.0.41:

http://bzr.linuxfoundation.org/loggerhead/openprinting/cups-filters/revision/7116

This feature is disabled by default and can be enabled using the CreateIPPPrinterQueues configuration directive in /etc/cups/cups-browsed.conf .  Fedora cups-filters packages do not override the upstream setting and also have it disabled by default.
Comment 6 Murray McAllister 2014-04-02 21:41:47 EDT
MITRE assigned CVE-2014-2707 to this issue:

http://www.openwall.com/lists/oss-security/2014/04/02/6
Comment 7 Jiri Popelka 2014-04-23 06:04:31 EDT
I got an email from Sebastian Krahmer:

From what I see you made the fix for CVE-2014-2707. I digged
more into cups-browsed and IMHO it needs additional fixing
(also for other issues like OOB access). My patch proposal
thats required additional to your fix is available here:

https://bugzilla.novell.com/show_bug.cgi?id=871327

However its untested.
Comment 8 Vincent Danen 2014-04-25 18:40:12 EDT
(In reply to Jiri Popelka from comment #7)
> I got an email from Sebastian Krahmer:
> 
> From what I see you made the fix for CVE-2014-2707. I digged
> more into cups-browsed and IMHO it needs additional fixing
> (also for other issues like OOB access). My patch proposal
> thats required additional to your fix is available here:
> 
> https://bugzilla.novell.com/show_bug.cgi?id=871327
> 
> However its untested.

See bug #1091565 for this.
Comment 9 Vincent Danen 2014-04-25 18:41:03 EDT
cups-filters-1.0.41-6.fc20 and cups-filters-1.0.41-6.fc19 have been released to fix this.
Comment 10 Tomas Hoger 2014-06-20 03:24:13 EDT
Statement:

Not vulnerable. This issue did not affect the versions of cups-filters as shipped with Red Hat Enterprise Linux 7.

Note You need to log in before you can comment on or make changes to this bug.